%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Image-Info
Version:       1.38
Release:       1mamba
Summary:       Image::Info Extract meta information from image files
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/Image-Info-%{version}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Image::Info Extract meta information from image files.

%prep
%setup -q -n Image-Info-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic update by autodist

* Sun Feb 01 2015 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic update by autodist

* Tue Dec 30 2014 Automatic Build System <autodist@mambasoft.it> 1.36_52-1mamba
- automatic update by autodist

* Tue Aug 13 2013 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic update by autodist

* Sun Jun 30 2013 Automatic Build System <autodist@mambasoft.it> 1.35_51-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.35_50-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 1.35-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 1.34_50-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic version update by autodist

* Mon Jan 28 2013 Automatic Build System <autodist@mambasoft.it> 1.33_51-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic version update by autodist

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 1.32_52-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic version update by autodist

* Sat Dec 31 2011 Automatic Build System <autodist@mambasoft.it> 1.31_51-1mamba
- automatic version update by autodist

* Fri Nov 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.31-1mamba
- package created by autospec
